# EVMScriptRunner

## contract EVMScriptRunner

is [AppStorage](/developers/tools/aragonos/smart-contract-references/apps/appstorage.md), [Initializable,](/developers/tools/aragonos/smart-contract-references/common/initializable.md) [EVMScriptRegistryConstants](/developers/tools/aragonos/smart-contract-references/evmscript/evmscriptregistryconstants.md), [KernelNamespaceConstants](/developers/tools/aragonos/smart-contract-references/kernel/kernelnamespaceconstants.md)

Source: [contracts/evmscript/EVMScriptRunner.sol](https://github.com/aragon/aragonOS/blob/v4.4.0/contracts/evmscript/EVMScriptRunner.sol)

## Index

* [ScriptResult](#scriptresult)
* [getEVMScriptExecutor](#getevmscriptexecutor)
* [getEVMScriptRegistry](#getevmscriptregistry)
* [protectState](#protectstate)
* [runScript](#runscript)

## Reference

### Events

#### **ScriptResult** <a href="#scriptresult" id="scriptresult"></a>

` event`` `` `**`ScriptResult`**`(address executor, bytes script, bytes input, bytes returnData)`

***

Parameters:

* `executor` - address
* `script` - bytes
* `input` - bytes
* `returnData` - bytes

### Modifiers

#### **protectState** <a href="#protectstate" id="protectstate"></a>

` modifier`` `` `**`protectState`**`()`

### Functions

#### **getEVMScriptExecutor** <a href="#getevmscriptexecutor" id="getevmscriptexecutor"></a>

` function`` `` `**`getEVMScriptExecutor`**`(bytes _script) public view returns (IEVMScriptExecutor)`

***

Parameters:

* `_script` - bytes

Returns:

* IEVMScriptExecutor

#### **getEVMScriptRegistry** <a href="#getevmscriptregistry" id="getevmscriptregistry"></a>

` function`` `` `**`getEVMScriptRegistry`**`() public view returns (IEVMScriptRegistry)`

***

Returns:

* IEVMScriptRegistry

#### **runScript** <a href="#runscript" id="runscript"></a>

` function`` `` `**`runScript`**`(bytes _script, bytes _input, address[] _blacklist) internal returns (bytes)`

***

Modifiers:

* [isInitialized protectState](#getevmscriptexecutor)

Parameters:

* `_script` - bytes
* `_input` - bytes
* `_blacklist` - address\[]

Returns:

* bytes


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://legacy-docs.aragon.org/developers/tools/aragonos/smart-contract-references/evmscript/evmscriptrunner.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
